## org.apache.catalina.valves
Class ExtendedAccessLogValve.SessionAttributeElement

    java.lang.Object
      org.apache.catalina.valves.ExtendedAccessLogValve.SessionAttributeElement

All Implemented Interfaces:
  AccessLogValve.AccessLogElement

Enclosing class:
  ExtendedAccessLogValve

    protected class ExtendedAccessLogValve.SessionAttributeElement

extends java.lang.Object
implements AccessLogValve.AccessLogElement

Constructor Summary
`ExtendedAccessLogValve.SessionAttributeElement(java.lang.String attribute)`

Method Summary
`void` `addElement(java.lang.StringBuffer buf, java.util.Date date, Request request, Response response, long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedAccessLogValve.SessionAttributeElement

    public ExtendedAccessLogValve.SessionAttributeElement(java.lang.String attribute)

Method Detail

### addElement

    public void addElement(java.lang.StringBuffer buf,
                           java.util.Date date,
                           Request request,
                           Response response,
                           long time)

  Specified by:
    `addElement` in interface `AccessLogValve.AccessLogElement`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.